FSSYNC-DEBUG_VGCQUERY(8)

NAME
fssync-debug_vgcquery - Displays VG cache contents (FSYNC_VG_QUERY opcode)

SYNOPSIS
fssync-debug vgcquery
    -partition <exact partition name>
    -volumeid <volume ID>
    [-reason <sync protocol reason code>]
    [-programtype <program type code>]
    [-help]

fssync-debug vgcq
    -pa <exact partition name>
    -v <volume ID>
    [-r <sync protocol reason code>]
    [-pr <program type code>]
    [-h]

fssync-debug vgcqry
    -pa <exact partition name>
    -v <volume ID>
    [-r <sync protocol reason code>]
    [-pr <program type code>]
    [-h]

DESCRIPTION
The fssync-debug vgcquery command displays an entry from the volume group cache (VGC), and possibly starts a VGC scan if appropriate.

OPTIONS

-partition <exact partition name>
    Specifies the exact partition name (e.g. /vicepa). Abbreviations are not permitted.

-volumeid <volume ID>
    Specifies the numeric volume ID. Volume names are not permitted.

-reason <sync protocol reason code>
    Specifies numeric sync protocol reason code. Available codes are listed in OpenAFS source file src/vol/fssync_inline.h. For SYNC_REASON_NONE, use -reason 0.

-programtype <program type code>
    Specifies program type code. Permitted values are fileServer, volumeUtility, salvager, salvageServer, volumeServer and volumeSalvager.

-help
    Prints the online help for this command. All other valid options are ignored.

PRIVILEGE REQUIRED
The issuer must have write access to the file server. Usually, this means that the issuer must be the local superuser "root" on the file server machine.

SEE ALSO
fssync-debug_vgcadd(8), fssync-debug_vgcdel(8), fssync-debug_vgcscan(8), fssync-debug_vgcscanall(8),

COPYRIGHT
Copyright 2010 Sine Nomine Associates

This documentation is covered by the IBM Public License Version 1.0. This man page was written by Andrew Deason and Davor Ocelic for OpenAFS.